# Uses of Interface
org.opensaml.xmlsec.signature.KeyValue

Packages that use KeyValue
Package
Description
org.opensaml.saml.saml2.assertion.impl
Implementation classes for validating SAML 2 Assertions.
org.opensaml.xmlsec.keyinfo
Classes in support of processing XML Signature KeyInfo material.
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of KeyValue in org.opensaml.saml.saml2.assertion.impl

Method parameters in org.opensaml.saml.saml2.assertion.impl with type arguments of type KeyValue
Modifier and Type
Method
Description
`protected boolean`
HolderOfKeySubjectConfirmationValidator.`matchesKeyValue(PublicKey key, List<KeyValue> keyValues)`
Checks whether the supplied public key matches one of the supplied `KeyValue` elements.

## Uses of KeyValue in org.opensaml.xmlsec.keyinfo

Methods in org.opensaml.xmlsec.keyinfo with parameters of type KeyValue
Modifier and Type
Method
Description
`static PublicKey`
KeyInfoSupport.`getKey(KeyValue keyValue)`
Extracts the DSA or RSA public key within the `KeyValue`.

## Uses of KeyValue in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return types with arguments of type KeyValue
Modifier and Type
Method
Description
`List<KeyValue>`
KeyInfo.`getKeyValues()`
Get the list of KeyValue child elements.

## Uses of KeyValue in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement KeyValue
Modifier and Type
Class
Description
`class`
`KeyValueImpl`
Concrete implementation of `KeyValue`.
Methods in org.opensaml.xmlsec.signature.impl that return KeyValue
Modifier and Type
Method
Description
`KeyValue`
KeyValueBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`KeyValue`
KeyValueBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xmlsec.signature.impl that return types with arguments of type KeyValue
Modifier and Type
Method
Description
`List<KeyValue>`
KeyInfoImpl.`getKeyValues()`
Get the list of KeyValue child elements.